rpm 4.11.1-rc1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Typedefs | Enumerations | Functions
rpmprob.h File Reference
Problem Element API.

Structures and prototypes used for an rpm problem item. More...

`#include <stdio.h>`
`#include <rpm/rpmtypes.h>`
Include dependency graph for rpmprob.h:

Go to the source code of this file.

## Typedefs
typedef struct rpmProblem_s * | rpmProblem
typedef rpmFlags | rpmprobFilterFlags
typedef enum rpmProblemType_e | rpmProblemType
| Enumerate transaction set problem types. More...

## Enumerations
enum | rpmprobFilterFlags_e { RPMPROB_FILTER_NONE = 0, RPMPROB_FILTER_IGNOREOS = (1 << 0), RPMPROB_FILTER_IGNOREARCH = (1 << 1), RPMPROB_FILTER_REPLACEPKG = (1 << 2), RPMPROB_FILTER_FORCERELOCATE = (1 << 3), RPMPROB_FILTER_REPLACENEWFILES = (1 << 4), RPMPROB_FILTER_REPLACEOLDFILES = (1 << 5), RPMPROB_FILTER_OLDPACKAGE = (1 << 6), RPMPROB_FILTER_DISKSPACE = (1 << 7), RPMPROB_FILTER_DISKNODES = (1 << 8) }
enum | rpmProblemType_e { RPMPROB_BADARCH, RPMPROB_BADOS, RPMPROB_PKG_INSTALLED, RPMPROB_BADRELOCATE, RPMPROB_REQUIRES, RPMPROB_CONFLICT, RPMPROB_NEW_FILE_CONFLICT, RPMPROB_FILE_CONFLICT, RPMPROB_OLDPACKAGE, RPMPROB_DISKSPACE, RPMPROB_DISKNODES, RPMPROB_OBSOLETES }
| Enumerate transaction set problem types. More...

## Functions
rpmProblem | rpmProblemCreate (rpmProblemType type, const char *pkgNEVR, fnpyKey key, const char *altNEVR, const char *str, uint64_t number)
| Create a problem item. More...
rpmProblem | rpmProblemFree (rpmProblem prob)
| Destroy a problem item. More...
rpmProblem | rpmProblemLink (rpmProblem prob)
| Reference an rpmProblem instance. More...
int | rpmProblemCompare (rpmProblem ap, rpmProblem bp)
| Compare two problems for equality. More...
const char * | rpmProblemGetPkgNEVR (rpmProblem prob)
| Return package NEVR. More...
const char * | rpmProblemGetAltNEVR (rpmProblem prob)
| Return related (e.g. More...
rpmProblemType | rpmProblemGetType (rpmProblem prob)
| Return type of problem (dependency, diskpace etc) More...
fnpyKey | rpmProblemGetKey (rpmProblem prob)
| Return filename or python object address of a problem. More...
const char * | rpmProblemGetStr (rpmProblem prob)
| Return a generic data string from a problem. More...
rpm_loff_t | rpmProblemGetDiskNeed (rpmProblem prob)
| Return disk requirement (needed disk space / number of inodes) depending on problem type. More...
char * | rpmProblemString (rpmProblem prob)
| Return formatted string representation of a problem. More...

## Detailed Description

Structures and prototypes used for an rpm problem item.

Definition in file rpmprob.h.

## Typedef Documentation

typedef rpmFlags rpmprobFilterFlags

Definition at line 34 of file rpmprob.h.

typedef struct rpmProblem_s* rpmProblem

Definition at line 16 of file rpmprob.h.